Modify

Opened 3 years ago

Closed 3 years ago

Last modified 11 months ago

#16011 closed defect (duplicate)

I pushed S, then tried to select a feature, but JOSM generated an error

Reported by: anonymous Owned by: team
Priority: normal Milestone:
Component: Core imagery Version:
Keywords: template_report Cc:

Description

What steps will reproduce the problem?

  1. load https://tasks.hotosm.org/project/4169?task=556#bottom
  2. go into select mode
  3. try to select a building

What is the expected result?building is selected

What happens instead? error message

Please provide any additional information below. Attach a screenshot if possible.

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2018-01-28 23:08:56 +0100 (Sun, 28 Jan 2018)
Build-Date:2018-01-28 22:25:44
Revision:13367
Relative:URL: ^/trunk

Identification: JOSM/1.5 (13367 en) Windows 10 64-Bit
OS Build number: Windows 10 Home 1709 (16299)
Memory Usage: 247 MB / 247 MB (5 MB allocated, but free)
Java version: 1.8.0_161-b12, Oracle Corporation, Java HotSpot(TM) Client VM
Screen: \Display0 1600x900
Maximum Screen Size: 1600x900
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:<java.home>\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=%UserProfile%\Desktop\Downloads\josm.jnlp, -Djnlpx.remove=true, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.splashport=51122, -Djnlpx.jvm=<java.home>\bin\javaw.exe]

Plugins:
+ buildings_tools (34040)
+ utilsplugin2 (33991)

Map paint styles:
- https://github.com/hotosm/HDM-JOSM-style/archive/master.zip
- https://josm.openstreetmap.de/josmfile?page=Styles/Fixme&zip=1

Last errors/warnings:
- E: Error header: Precondition failed: Node 5414801444 is still used by ways 561586415,561586415.
- E: org.openstreetmap.josm.io.OsmApiException: ResponseCode=412, Error Header=<Precondition failed: Node 5414801444 is still used by ways 561586415,561586415.>
- E: Object still in use - <html><strong>Failed</strong> to delete <strong>node 5414801444</strong>. It is still referred to by way 561586415.<br>Please load the way, remove the reference to the node, and upload again.<br><br>Click <strong>Prepare conflict resolution</strong> to load them now.<br>If necessary JOSM will create conflicts which you can resolve in the Conflict Resolution Dialog.</html>
- E: Handled by bug report queue: org.openstreetmap.josm.data.osm.DataIntegrityProblemException: Deleted node referenced: {Way id=561586415 version=1 MVT nodes=[{Node id=5414801447 version=1 V lat=-17.3715075,lon=-66.2015582}, {Node id=5414801448 version=1 V lat=-17.3715131,lon=-66.2014543}, {Node id=5414801444 version=1 MVD lat=-17.37158811843585,lon=-66.20153696011887}]}
- E: Error header: The changeset 56626675 was closed at 2018-02-24 03:30:04 UTC
- E: org.openstreetmap.josm.io.ChangesetClosedException: The changeset 56626675 was closed at 2018-02-24 03:30:04 UTC
- E: Error - <html>Failed to upload to changeset <strong>56,626,675</strong><br>because it has already been closed on Feb 23, 2018 7:30:04 PM.
- E: Handled by bug report queue: java.lang.IllegalArgumentException: Listener org.openstreetmap.josm.actions.ImageryAdjustAction@2891bb (instance of org.openstreetmap.josm.actions.ImageryAdjustAction) was not registered before or already removed.
- E: Handled by bug report queue: java.lang.IllegalArgumentException: Listener org.openstreetmap.josm.actions.ImageryAdjustAction@2891bb (instance of org.openstreetmap.josm.actions.ImageryAdjustAction) was not registered before or already removed.
- E: Handled by bug report queue: java.lang.IllegalArgumentException: Listener org.openstreetmap.josm.actions.ImageryAdjustAction@2891bb (instance of org.openstreetmap.josm.actions.ImageryAdjustAction) was not registered before or already removed.


=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: AWT-EventQueue-2 (60) of javawsApplicationThreadGroup
java.lang.IllegalArgumentException: Listener org.openstreetmap.josm.actions.ImageryAdjustAction@2891bb (instance of org.openstreetmap.josm.actions.ImageryAdjustAction) was not registered before or already removed.
	at org.openstreetmap.josm.tools.ListenerList.failRemove(ListenerList.java:132)
	at org.openstreetmap.josm.tools.ListenerList.removeListener(ListenerList.java:126)
	at org.openstreetmap.josm.data.Preferences.removePreferenceChangeListener(Preferences.java:182)
	at org.openstreetmap.josm.actions.mapmode.MapMode.exitMode(MapMode.java:82)
	at org.openstreetmap.josm.actions.ImageryAdjustAction.exitMode(ImageryAdjustAction.java:114)
	at org.openstreetmap.josm.gui.MapFrame.activeOrEditLayerChanged(MapFrame.java:838)
	at org.openstreetmap.josm.gui.layer.MainLayerManager.fireActiveLayerChange(MainLayerManager.java:256)
	at org.openstreetmap.josm.gui.layer.MainLayerManager.setActiveLayer(MainLayerManager.java:249)
	at org.openstreetmap.josm.gui.layer.MainLayerManager.realRemoveSingleLayer(MainLayerManager.java:289)
	at org.openstreetmap.josm.gui.layer.LayerManager.realRemoveLayer(LayerManager.java:265)
	at org.openstreetmap.josm.gui.layer.LayerManager.lambda$removeLayer$1(LayerManager.java:247)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDTAndWaitWithException(GuiHelper.java:234)
	at org.openstreetmap.josm.gui.layer.LayerManager.removeLayer(LayerManager.java:247)
	at org.openstreetmap.josm.gui.layer.LayerManager.realResetState(LayerManager.java:511)
	at org.openstreetmap.josm.gui.layer.MainLayerManager.realResetState(MainLayerManager.java:425)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDTAndWaitWithException(GuiHelper.java:234)
	at org.openstreetmap.josm.gui.layer.LayerManager.resetState(LayerManager.java:502)
	at org.openstreetmap.josm.gui.MainApplication.shutdown(MainApplication.java:496)
	at org.openstreetmap.josm.Main.exitJosm(Main.java:318)
	at org.openstreetmap.josm.gui.MainApplication.exitJosm(MainApplication.java:638)
	at org.openstreetmap.josm.actions.RestartAction.restartJOSM(RestartAction.java:89)
	at org.openstreetmap.josm.actions.RestartAction.actionPerformed(RestartAction.java:61)
	at javax.swing.AbstractButton.fireActionPerformed(Unknown Source)
	at javax.swing.AbstractButton$Handler.actionPerformed(Unknown Source)
	at javax.swing.DefaultButtonModel.fireActionPerformed(Unknown Source)
	at javax.swing.DefaultButtonModel.setPressed(Unknown Source)
	at javax.swing.AbstractButton.doClick(Unknown Source)
	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(Unknown Source)
	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(Unknown Source)
	at java.awt.AWTEventMulticaster.mouseReleased(Unknown Source)
	at java.awt.Component.processMouseEvent(Unknown Source)
	at javax.swing.JComponent.processMouseEvent(Unknown Source)
	at java.awt.Component.processEvent(Unknown Source)
	at java.awt.Container.processEvent(Unknown Source)
	at java.awt.Component.dispatchEventImpl(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Window.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.awt.EventQueue.access$500(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.run(Unknown Source)

Attachments (0)

Change History (3)

comment:1 Changed 3 years ago by danspecht@…

JOSM froze and I had to kill the process

comment:2 Changed 3 years ago by Don-vip

Resolution: duplicate
Status: newclosed

Closed as duplicate of #15849.

comment:3 Changed 11 months ago by skyper

Component: CoreCore imagery

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.